#include <stdio.h>
#include <math.h>

int main(void){
  double n;
  scanf("%lf", &n);
  for(int i=0;i<n-1;i++) {
  int x, y;
  scanf("%d %d", &x, &y);
  }
  long int p=ceil(n/2)-1;
  printf("%ld",p);
  return 0;
}